/* 
Font size system (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/

/* rem and em do NOT depend on html font-size in media queries! 
Instead, 1rem = 1em = 16px 
*/

/***********************************/
/* BELOW 1344px (Smaller desktops) */
/***********************************/

@media (max-width: 84em) {
  .hero {
    max-width: 120rem;
  }

  .heading-primary {
    font-size: 4.4rem;
  }

  .gallery {
    grid-template-columns: repeat(2, 1fr);
  }

  .grid--footer {
    width: 95%;
  }
}

/************************************/
/* BELOW 1200px (Landscape Tablets) */
/************************************/

@media (max-width: 75em) {
  html {
    /* 9px / 16px  */
    /* font-size: 56.25%; */
  }

  .grid {
    column-gap: 4.8rem;
    row-gap: 6.4rem;
  }

  .heading-secondary {
    font-size: 3.6rem;
  }

  .heading-tertiary {
    font-size: 2.4rem;
  }

  .header {
    padding: 0 3.2rem;
  }

  .main-nav-list {
    gap: 3.2rem;
  }

  .hero {
    gap: 4.8rem;
  }

  .section-services {
    padding: 4.8rem 0;
  }

  .grid--footer {
    column-gap: 2.4rem;
  }
}

/**********************************/
/* BELOW 944px (Portrait Tablets) */
/**********************************/

@media (max-width: 59em) {
  html {
    /* 8px / 16px = 0.5 = 50% */
    /* font-size: 50%; */
  }

  .hero {
    grid-template-columns: 1fr;
    padding: 0 8rem;
    gap: 6.4rem;
  }

  .section-hero {
    padding: 10vh 0;
  }

  .hero-text-box,
  .hero-img-box {
    text-align: center;
  }

  .hero-img {
    width: 60%;
  }

  .section-services {
    padding: 0;
  }

  .glass {
    border-radius: 0;
    border: none;
    box-shadow: none;
  }

  .logos img {
    height: 8rem;
  }

  .step-number {
    font-size: 7.4rem;
  }

  /* MOBILE NAVIGATION */
  .btn-mobile-nav {
    display: block;
    z-index: 9999;
  }

  .main-nav {
    background-color: rgba(255, 255, 255, 0.9);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(5px);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    transform: translateX(100%);

    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease-in;

    /* Hide navigation */
    /* display: none; Allows NO transitions at all */
    /* 1) Hide it visually */
    opacity: 0;
    /* 2) Make it inaccessible to mouse and keyboard */
    pointer-events: none;
    /* 3) Hide it from screen readers */
    visibility: hidden;
  }

  .nav-open .main-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
  }

  .nav-open .icon-mobile-nav[name="close-outline"] {
    display: block;
  }

  .nav-open .icon-mobile-nav[name="menu-outline"] {
    display: none;
  }

  .main-nav-list {
    flex-direction: column;
    gap: 4.8rem;
  }

  .main-nav-link:link,
  .main-nav-link:visited {
    font-size: 3rem;
  }

  .phone-link,
  .email-link {
    line-height: 2.4 !important;
  }
}

/*********************************/
/* BELOW 704px (Smaller tablets) */
/*********************************/

@media (max-width: 44em) {
  .grid--2-cols {
    grid-template-columns: 1fr;
    row-gap: 2.4rem;
  }

  .parallax {
    background-attachment: scroll;
  }

  .heading-secondary {
    margin-bottom: 4.8rem;
  }

  .heading-tertiary {
    text-align: center;
  }

  #services-01 {
    grid-row: 2;
  }

  #services-03 {
    grid-row: 6;
  }

  .service-img-box {
    width: 80%;
    margin: 0 auto;
  }

  #services-02,
  #svc-img-03 {
    margin-top: 4.8rem;
  }

  .logos img {
    height: 6.4rem;
  }

  .grid--footer {
    grid-template-columns: repeat(6, 1fr);
    row-gap: 3.2rem;
  }

  .logo-col,
  .about-col {
    grid-column: span 3;
  }

  .address-col,
  .nav-col {
    grid-row: 1;
    grid-column: span 2;
    margin-bottom: 3.2rem;
  }

  .footer-logo {
    margin-top: 4.8rem;
    margin-bottom: 1.2rem;
  }

  .footer-nav {
    gap: 4.8rem;
  }
}

/************************/
/* BELOW 544px (Phones) */
/************************/

@media (max-width: 34em) {
  .grid {
    row-gap: 4.8rem;
  }

  .section-hero {
    padding: 5vh 0 6.4rem 0;
  }

  .hero {
    padding: 0 3.2rem;
  }

  .hero-img {
    width: 80%;
  }

  .logos img {
    height: 4.8rem;
  }

  .step-img-box:nth-child(2) {
    grid-row: 1;
  }

  .step-img-box:nth-child(6) {
    grid-row: 5;
  }

  .step-img-box {
    transform: translateY(2.4rem);
  }
}

/******************************/
/* BELOW 416px (Small Phones) */
/******************************/

@media (max-width: 26em) {
  /* html {
    font-size: 50%;
  } */

  .container {
    padding: 1.2rem 1.2rem;
  }

  .heading-primary {
    font-size: 2.8rem;
  }

  .heading-secondary {
    font-size: 2.4rem;
    margin-bottom: 2.4rem;
  }

  .hero {
    gap: 2.4rem;
    padding: 0 2rem;
  }

  .logos {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1rem;
    justify-items: center;

    justify-content: normal;
  }

  .grid {
    row-gap: 2.4rem;
  }

  .item {
    padding: 0.8rem;
    column-gap: 1rem;
  }

  .grid--footer {
    grid-template-columns: 1fr;
    row-gap: 3.2rem;
  }

  .logo-col {
    grid-row: 1;
    grid-column: span 1;
  }

  .about-col {
    grid-row: 2;
    grid-column: span 1;
  }

  .address-col {
    grid-row: 3;
    grid-column: span 1;
    margin-bottom: 3.2rem;
  }

  .srv-col {
    grid-row: 4;
    grid-column: span 1;
    margin-bottom: 3.2rem;
  }

  .def-col {
    grid-row: 5;
    grid-column: span 1;
    margin-bottom: 3.2rem;
  }
}

/*****************************/
/* Fixing Safari flexbox gap */
/*****************************/

.no-flexbox-gap .main-nav-list li:not(:last-child) {
  margin-right: 4.8rem;
}

.no-flexbox-gap .footer-nav {
  margin-bottom: 2.4rem;
}

.no-flexbox-gap .accordion:not(:last-child) {
  margin-bottom: 2.4rem;
}

.no-flexbox-gap .hidden-box {
  margin-bottom: 1.2rem;
}

.no-flexbox-gap .footer-nav li:not(:last-child) {
  margin-bottom: 2.4rem;
}

@media (max-width: 75em) {
  .no-flexbox-gap .main-nav-list li:not(:last-child) {
    margin-right: 3.2rem;
  }

  .no-flexbox-gap .footer-nav {
    margin-bottom: 4.8rem;
  }

  .no-flexbox-gap .footer-nav li:not(:last-child) {
    margin-bottom: 4.8rem;
  }
}

@media (max-width: 59em) {
  .no-flexbox-gap .main-nav-list li:not(:last-child) {
    margin-right: 0;
    margin-bottom: 4.8rem;
  }
}
